MPE_CaptureFile(4)

NAME
MPE_CaptureFile - Sets the base filename used to capture output from updates

SYNOPSIS
#include "mpe.h"
int MPE_CaptureFile( handle, fname, freq )
MPE_XGraph handle;
char       *fname;
int        freq;

INPUT PARAMETERS
handle
    - MPE graphics handle
fname
    - base file name (see below)
freq
    - Frequency of updates

RETURN VALUES
MPE_ERR_LOW_MEM
    - malloc for copy of the filename (fname) failed
MPE_ERR_BAD_ARGS
    - handle parameter is bad
MPE_SUCCESS
    - success

NOTES
The output is written in xwd format to fname%d , where %d is the number of the file (starting from zero).

NOTES FOR FORTRAN INTERFACE
The Fortran interface to this routine is different from its C counterpart and it has an additional argument, ierr, at the end of the argument list, i.e. the returned function value (the error code) in C interface is returned as the additional argument in Fortran interface. The Fortran interface is invoked with the CALL statement. All MPI and MPE objects, MPI_Comm, MPE_XGraph and MPE_Color, are of type INTEGER in Fortran.

ADDITIONAL NOTES FOR FORTRAN INTERFACE
The trailing blanks in Fortran CHARACTER string argument will be ignored.

LOCATION
mpe_graphics.c